<?php
// This file is part of local_downloadcenter for Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Download center plugin
 *
 * @package       local_downloadcenter
 * @author        Simeon Naydenov (moniNaydenov@gmail.com)
 * @copyright     2020 Academic Moodle Cooperation {@link http://www.academic-moodle-cooperation.org}
 * @license       http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */


defined('MOODLE_INTERNAL') || die;

$string['pluginname'] = 'Download center';
$string['downloadcenter:view'] = 'View Download center';

$string['navigationlink'] = 'Download center';
$string['pagetitle'] = 'Download center for ';

$string['settings_title'] = 'Download center';
$string['exclude_empty_topics'] = 'Exclude empty topics';
$string['exclude_empty_topics_help'] = 'Exclude empty topics from the downloaded zip.';

$string['infomessage_students'] = 'Here you can download single or all available contents of this course in a ZIP archive.';
$string['infomessage_teachers'] = 'Here you can download single or all available contents of this course in a ZIP archive.<br>
(Students will be able to download only visible/ not hidden activities and resources.)';

$string['createzip'] = 'Create ZIP archive';

$string['zipready'] = 'The ZIP archive has been successfully created.';
$string['download'] = 'Download';
$string['zipcreating'] = 'The ZIP archive is being created...';
$string['eventDOWNLOADEDZIP'] = 'ZIP was downloaded';
$string['eventVIEWED'] = 'Download center viewed';
$string['untitled'] = 'Untitled';

$string['privacy:null_reason'] = 'This plugin does not store or process any personal information. It presents an interface to download all course files which are manipulated from within the course.';

$string['no_downloadable_content'] = 'No downloadable content';

$string['downloadoptions'] = 'Options';
$string['downloadoptions:filesrealnames'] = 'Download files with original file name';
$string['downloadoptions:filesrealnames_help'] = 'If enabled, file resources will be downloaded with their original file name instead of the visible name in the course.';
$string['downloadoptions:addnumbering'] = 'Add numbering to files and folders';
$string['downloadoptions:addnumbering_help'] = 'If enabled, course sections, files, and folders will be numbered in the order they appear in the course.';


$string['search:hint'] = 'Type to filter activities and resources...';
$string['search:results'] = 'Search results';
